AutoRefreshNoHARMFailoverProxyProvider (Apache Hadoop YARN Common 3.5.0 API)
Description: declaration: package: org.apache.hadoop.yarn.client, class: AutoRefreshNoHARMFailoverProxyProvider

Package org.apache.hadoop.yarn.client

# Class AutoRefreshNoHARMFailoverProxyProvider<T>

java.lang.Object
org.apache.hadoop.yarn.client.DefaultNoHARMFailoverProxyProvider<T>
org.apache.hadoop.yarn.client.AutoRefreshNoHARMFailoverProxyProvider<T>

All Implemented Interfaces:
  `Closeable`, `AutoCloseable`, `org.apache.hadoop.io.retry.FailoverProxyProvider<T>`, `RMFailoverProxyProvider<T>`

@Private @Unstable public class AutoRefreshNoHARMFailoverProxyProvider<T> extends DefaultNoHARMFailoverProxyProvider<T>
A subclass of `RMFailoverProxyProvider` which tries to resolve the proxy DNS in the event of failover. This provider doesn't support HA or Federation.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface org.apache.hadoop.io.retry.FailoverProxyProvider

  `org.apache.hadoop.io.retry.FailoverProxyProvider.ProxyInfo<T extends Object>`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected org.apache.hadoop.yarn.conf.YarnConfiguration`
  `conf`
  `protected RMProxy<T>`
  `rmProxy`

  ### Fields inherited from class org.apache.hadoop.yarn.client.DefaultNoHARMFailoverProxyProvider

  `protocol, proxy`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AutoRefreshNoHARMFailoverProxyProvider()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `org.apache.hadoop.io.retry.FailoverProxyProvider.ProxyInfo<T>`
  `getProxy()`
  `protected T`
  `getProxyInternal()`
  `void`
  `init(org.apache.hadoop.conf.Configuration configuration, RMProxy<T> rmProxy, Class<T> protocol)`
  Initialize internal data structures, invoked right after instantiation.
  `void`
  `performFailover(T currentProxy)`
  Stop the current proxy when performFailover.

  ### Methods inherited from class org.apache.hadoop.yarn.client.DefaultNoHARMFailoverProxyProvider

  `close, getInterface`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### rmProxy

    protected RMProxy<T> rmProxy

  - ### conf

    protected org.apache.hadoop.yarn.conf.YarnConfiguration conf

- ## Constructor Details

  - ### AutoRefreshNoHARMFailoverProxyProvider

    public AutoRefreshNoHARMFailoverProxyProvider()

- ## Method Details

  - ### init

    public void init(org.apache.hadoop.conf.Configuration configuration, RMProxy<T> rmProxy, Class<T> protocol)
    Description copied from class: `DefaultNoHARMFailoverProxyProvider`
    Initialize internal data structures, invoked right after instantiation.
    Specified by:
      `init` in interface `RMFailoverProxyProvider<T>`
    Overrides:
      `init` in class `DefaultNoHARMFailoverProxyProvider<T>`
    Parameters:
      `configuration` - Configuration to use
      `rmProxy` - The `RMProxy` instance to use
      `protocol` - The communication protocol to use

  - ### getProxy

    public org.apache.hadoop.io.retry.FailoverProxyProvider.ProxyInfo<T> getProxy()
    Specified by:
      `getProxy` in interface `org.apache.hadoop.io.retry.FailoverProxyProvider<T>`
    Overrides:
      `getProxy` in class `DefaultNoHARMFailoverProxyProvider<T>`

  - ### getProxyInternal

    protected T getProxyInternal()

  - ### performFailover

    public void performFailover(T currentProxy)
    Stop the current proxy when performFailover.
    Specified by:
      `performFailover` in interface `org.apache.hadoop.io.retry.FailoverProxyProvider<T>`
    Overrides:
      `performFailover` in class `DefaultNoHARMFailoverProxyProvider<T>`
    Parameters:
      `currentProxy` - currentProxy.